# Features

Log show developer name and time of printing. "HH:MM:SS mmm"

# Getting started

```dart
  Log.k("HomePage", "Hello World");

//output
  abdo : 07:29:34:464 : HomePage: Hello World
```

# Usage
## Simple
```dart
Log.i("Hello");
```

## Key & Value:

```dart
  Log.k("HomePage", "Hello World");

//output
abdo : 07:29:34:464 : HomePage: Hello World
```


# Additional information

### Set developer name
Example if I need to set developer name "abdo" in every line of logs, to be able to filter the logs by your name.
````
//write inside "main.dart"
LogDeveloperInfo.setName("abdo");
````

### Print key and message
````
Log.k("HomePage", "Hello");
````

### Print Object
````
Log.object( mProject );
````

### Print Error
````
Log.e( "catch exception Out Of Bounds" );
````

# Contact US

| Developer | Contact |
| ------ | ------ |
| name | Abdallah Fastor |
| email | [abdallah.android.app@gmail.com](mailto:abdallah.android.app@gmail.com) |
| website | [fastor-app.com](https://fastor-app.com) |
| ------ | ------ |

# License BSD 3
License BSD 3
Copyright (c) 2022, Abdallah Mahmoud Ahmed Shehata
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice,
  this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright
  notice, this list of conditions and the following disclaimer in the
  documentation and/or other materials provided with the distribution.
* Neither the name of fastor-app.com nor the names of its contributors
  may be used to endorse or promote products derived from this software
  without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.



